package cn.com.countrygarden.bi.main.service.dup;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.FenghuangCollectionrateDTO;
import cn.com.countrygarden.bi.main.model.dup.FenghuangCollectionrate;
import cn.com.countrygarden.bi.main.model.dup.ManagerData;

import java.util.List;

/**
 * Created by chenweijiang on 2017/9/11.
 */
public interface ManagerDataService {
    Result findManagerData(Boolean isUnFinished,String organCode, String commId, String startDateStr, String endDateStr, String userCode, int size, int page);
    List<ManagerData> findLastManagers(String organCode, String commId,String startDateStr, String endDateStr,String startDateInquire, String endDateInquire);
    void deleteManagerData(Integer managerDataId, String userCode);
    void addManagers(List<ManagerData> managerDates, String userCode);
    void updateManagerData(ManagerData managerData, String userCode);
    
    Result collectionRate(String employeeNumber);

    void updateCacheData(List<FenghuangCollectionrate> fDtosSavelist,List<FenghuangCollectionrate> fDtosUpdatelist,List<FenghuangCollectionrateDTO> fDtoUpdateList,String time);
}
